package com.ifish.entity;

import java.io.Serializable;

public class CameraUserId implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Integer	userId;
	private String	cameraId;
	
	public CameraUserId() {
	}

	public CameraUserId(Integer userId, String cameraId) {
		this.userId = userId;
		this.cameraId = cameraId;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getCameraId() {
		return cameraId;
	}

	public void setCameraId(String cameraId) {
		this.cameraId = cameraId;
	}

	@Override
    public boolean equals(Object obj) {
        if(obj instanceof CameraUserId){
        	CameraUserId pk=(CameraUserId)obj;
            if(this.userId.equals(pk.userId) && this.cameraId.equals(pk.cameraId)){
                return true;
            }
        }
        return false;
    }

    @Override
    public int hashCode() {
        return super.hashCode();
    }
	
}
